| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Member Functions | List of all members
stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > > Class Template Reference

`#include <seq_view.hpp>`

## Public Member Functions
| seq_view (typename pass_type< Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > >::type x)
pass_type< T >::type | operator[] (int n) const
int | size () const

## Detailed Description

### template<typename T, typename S>
class stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > >

Definition at line 99 of file seq_view.hpp.

## Constructor & Destructor Documentation

template<typename T , typename S >

stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > >::seq_view | ( | typename pass_type< Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > >::type | x | ) |
| inline explicit

Definition at line 105 of file seq_view.hpp.

## Member Function Documentation

template<typename T , typename S >

pass_type<T>::type stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > >::operator[] | ( | int | n | ) | const
| inline

Definition at line 110 of file seq_view.hpp.

template<typename T , typename S >

int stan::math::seq_view< T, Eigen::Matrix< S, Eigen::Dynamic, Eigen::Dynamic > >::size | ( |  | ) | const
| inline

Definition at line 113 of file seq_view.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/mat/meta/seq_view.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.